<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<HEAD>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</HEAD>	
<BODY style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">			
	<form NAME="formGastoPDFVerif" METHOD="POST">
	<%	
		java.sql.Connection conn=null;
		PreparedStatement pstmt = null;
		ResultSet rs = null;

		m05bComun miComun=new m05bComun();
		String sGastoVerificado = miComun.leerPropiedad("PDF.GastoVerificado"); 
		String sTarjeta = request.getParameter("CodTarjeta");
		String sMatricula = request.getParameter("Matricula");
		String sSituacion = request.getParameter("SituacionTexto");
		String sFecDesde = request.getParameter("FecDesde");
		String sFecHasta = request.getParameter("FecHasta");
		String sGRango = request.getParameter("GRango");
		String sRango = request.getParameter("CodRango");
		String srcPDF = sGastoVerificado + "?Tarjeta="+sTarjeta +"&Situacion="+sSituacion+"&GRango="+sGRango
			+"&Rango="+sRango+"&FecDesde="+sFecDesde+"&FecHasta="+sFecHasta+"&Matricula="+sMatricula;
		
	      try
	      {  //HttpSession session = request.getSession(true);
				m05bConexion miConex = new m05bConexion();
				conn = miConex.getConnection();
	   String sSentencia=" SELECT  1 "+
	" FROM " + 
	m05bConstantes.TAB_OPEBANCOS+","+
	m05bConstantes.TAB_VEHICULOS+
	" WHERE " + 
	m05bConstantes.COL_18_MATRICULA +"="+ m05bConstantes.COL_34_MATRICULA+
	" AND " +  m05bConstantes.COL_18_VERIFIC+"='N'";
	if (!(sSituacion.equals(""))){
	        sSituacion=miComun.ListaCaracteres(sSituacion);
		
	    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_SITUACION+ " in ("+sSituacion+")";}
	if (!(sTarjeta.equals(""))){
	    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_TARJETA+ " = '"+sTarjeta+"'" ;}
	if (!(sMatricula.equals(""))){
	    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_MATRICULA+ " = '"+sMatricula+"'" ;}
	if (!(sFecDesde.equals(""))){
	    	sSentencia= sSentencia + " AND TO_CHAR(" + m05bConstantes.COL_18_FECHA+ ",'dd/mm/YYYY') >= '"+sFecDesde+"'" ;}
	if (!(sFecHasta.equals(""))){
	    	sSentencia= sSentencia + " AND TO_CHAR(" + m05bConstantes.COL_18_FECHA+ ",'dd/mm/YYYY') <= '"+sFecHasta+"'" ;}
	if (!(sRango.equals(""))){
	    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_RANGO+ " = '"+sRango+"'" ;}
	else if (!(sGRango.equals(""))){
	    	String sSentenciaGrupo=" SELECT "+ m05bConstantes.COL_36_RANGOS+
	    	                " FROM " + m05bConstantes.TAB_GRUPOS + 
	    	                " WHERE " + m05bConstantes.COL_36_CODIGO + " = '" +sGRango+"'";
	    	pstmt = conn.prepareStatement(sSentenciaGrupo);
			rs = pstmt.executeQuery();
	        if (rs.next()){
			    sGRango=rs.getString(1)==null ? "":rs.getString(1);	
	            sGRango=miComun.ListaCaracteres(sGRango);
	    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_RANGO+ " in ( "+sGRango + ")";
	            }
	}
	                     pstmt = conn.prepareStatement(sSentencia);
			                     rs = pstmt.executeQuery();
	%>
		
	<TABLE class="general">
	  <tr>
	       <td width="90%" align="right">
	       		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
	       </td>
	  </tr>
	  <tr>
	    <td colspan="2">
	    <% if (rs.next() == true){ %>
			<embed name='pdfGastoVerificado' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
	    <%} else {%>
			<embed name='pdfGastoVerificado' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
	    <%}%>
		<%	} catch (Exception SQLException) {
			m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
				miLog.addTraza(SQLException);
			} 	finally{
					if (rs != null)
						rs.close();
					if (pstmt != null)
						pstmt.close();
					if (conn != null)
						conn.close();}%>
	  	</td>
	  </tr>
	</TABLE>
	</form>
	<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>			
</body>
<SCRIPT language=JavaScript>
	function fncRetornar() {
		var docu = document.formGastoPDFVerif;
		 docu.action="/m05bParqueMovilWar/m05bTarjGastosNoVerificadosJsp.jsp" ;
		 docu.submit();
	}
</SCRIPT>
</html>